/* *{
    font-size: 50px;
} */

div-1{
    background-color: green;
    display: inline;
}

#span-1{
    background-color: purple;
    width: 200px;
    height: 200px;
    display: none;
}

#span-2{
    background-color: red;
    display: block;
}

.div-2{
    display: none;
}

img{
    width: 250px;
    height: 250px;
}

#p-1{
    background-color: burlywood;
    /* display: inline-block; */
}
#p-2{
    background-color: violet;
    width: 60%;
}
#p-3{
    background-color: saddlebrown;
    width: 40%;
}

.sample{
    display: inline-block;
    width: 30%;
    border: 1px black solid;
    text-align: center;
}

/* float */
.img-float{
    width: 50px;
    height: 50px;
    float: left;
}
/* CSS units */
.box{
    background-color: red;
    border: 1px solid black;
    margin: 5px;
}

.fifty{
    width: 50%;
}
.one-hundred{
    width: 250px;
}

.vw{
    width: 50vw;
}

.vh{
    height: 50vh;
}

.parent{
    width: 300px;
    border: 2px solid black;
    font-size: 32px;
}

.one-rem{
    font-size: 1rem;
}
.two-rem{
    font-size: 2rem;
}
.one-em{
    font-size: 1em;
}
.two-em{
    font-size: 2em;
}

.background{
    min-height: 100vh;
    background-color: aliceblue;
    background-image: url(https://c4.wallpaperflare.com/wallpaper/43/1003/707/anime-your-name-kimi-no-na-wa-mitsuha-miyamizu-wallpaper-preview.jpg);
    background-repeat: no-repeat;
    background-size: 100%;
    background-position: center center;
}

.bg-title{
    text-align: center;
    font-size: 5em;
    margin: 0;
    line-height: 3em;
}
.container-bg{
    min-height: 100vh;
    background-color: rgba(0, 0, 0, 0.7);
}



/* css positioning */

.parent{
    background-color: skyblue;
    padding: 10px;
    height: 500px;
}
.child-1{
    background-color: gray;
    padding: 10px;
}
.child-2{
    background-color: yellow;
    padding: 10px;
    position: sticky;
    top: 10px;
    left: 50vh;
}
.child-3{
    background-color: gray;
    padding: 10px;
}

/* z-index */
.container{
    position: relative;
}
.black{
    position: relative;
    border: 2px solid black;
    height: 100px;
    width: 30px;
}
.gray{
    position: absolute;
    background-color: lightgray;
    height: 60px;
    width: 70%;
    left: 50px;
    top: 50px;
    z-index: 2;
}
.green{
    position: absolute;
    background-color: lightgreen;
    width: 35%;
    left: 270px;
    top: -15px;
    height: 100px;
    z-index: 1;
}